---
layout: markdown_page
title: "Features by Tier"
---

## Features by Stage and Tier
This page is meant to showcase the features by Paid Tier across GitLab's Product Hierarchy.

<% Gitlab::Homepage::Stage.all!.select{|stage| stage.marketing}.each do |stage| %>
<%= "### #{stage.display_name}" %>
<%= "\n" %>
<%= "| Category | Features in Starter | Features in Premium | Features in Ultimate |" %>
<%= "|:--------:|:--------------------|:--------------------|:---------------------|" %>
  <% stage.categories.select{|category| category.marketing}.each do |category| %>
    <% ultimateList=[] %>
    <% premiumList=[] %>
    <% starterList=[]%>
    <% if category.features? %>
      <% category.features.each do |feature| %>
        <% ultimateList << "[#{feature.title}](#{feature.link})" if feature.gitlab_ultimate && !feature.gitlab_premium %>
        <% premiumList << "[#{feature.title}](#{feature.link})" if feature.gitlab_premium && !feature.gitlab_starter %>
        <% starterList << "[#{feature.title}](#{feature.link})" if feature.gitlab_starter && !feature.gitlab_core %>
      <% end %>
    <% end %>
    <%= "| **[#{category.name}](#{category.best_link})** | #{starterList.join(', ')} | #{premiumList.join(', ')} | #{ultimateList.join(', ')} | " %>
  <% end %>
  <%= "\n" %>
<% end %>
